import { defineNuxtModule, createResolver, addPlugin, addImportsDir } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "define-async-module-issue",
    configKey: "myModule"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup(_options, _nuxt) {
    const { resolve } = createResolver(import.meta.url);
    const runtimeDir = resolve("./runtime");
    addPlugin(resolve(runtimeDir, "plugin"));
    addImportsDir(resolve(runtimeDir, "composables"));
    _nuxt.hook("components:dirs", (dirs) => {
      const componentsDir = resolve(runtimeDir, "components");
      dirs.push(
        {
          path: componentsDir
        }
      );
    });
  }
});

export { module as default };
